namespace AAIntegration.SimmonsBank.API.Services;

using AutoMapper;
using AAIntegration.SimmonsBank.API.Entities;
using AAIntegration.SimmonsBank.API.Config;
using AAIntegration.SimmonsBank.API.Models.Accounts;
using System.Collections.Generic;
using System.Linq;
using System;
using System.Security.Policy;

public interface IVersionService
{
    string GetVersion();
}

public class VersionService : IVersionService
{
    const string APP_VERSION = "1.0.0";
    
    ILogger<VersionService> _logger;

    public VersionService(
        ILogger<VersionService> logger)
    {
        _logger = logger;

        _logger.LogInformation("App Version: " + APP_VERSION);
    }

    public string GetVersion()
    {
        return APP_VERSION;
    }
}